Skip to main content
`Ctrl`+`K`

# numpy.testing.assert_array_max_ulp

testing.assert_array_max_ulp(a, b, maxulp=1, dtype=None)

  Check that all items of arrays differ in at most N Units in the Last Place.

  Parameters:
    a, b array_like

      Input arrays to be compared.

    maxulp int, optional

      The maximum number of units in the last place that elements of a and b can differ. Default is 1.

    dtype dtype, optional

      Data-type to convert a and b to if given. Default is None.

  Returns:
    ret ndarray

      Array containing number of representable floating point numbers between items in a and b.

  Raises:
    AssertionError

      If one or more elements differ by more than maxulp.

  See also

  `assert_array_almost_equal_nulp`

    Compare two arrays relatively to their spacing.

  Notes

  For computing the ULP difference, this API does not differentiate between various representations of NAN (ULP difference between 0x7fc00000 and 0xffc00000 is zero).

  Examples

      >>> a = np.linspace(0., 1., 100)
      >>> res = np.testing.assert_array_max_ulp(a, np.arcsin(np.sin(a)))